# Class GetTradeReply

#### Hierarchy

- unknown
  - GetTradeReply

- Defined in src/protobuf/grpc_pb.d.ts:2514
- Defined in src/protobuf/grpc_pb.d.ts:2528

#####
Index

### Constructors

constructor

### Methods

clearTrade
getTrade
hasTrade
serializeBinary
setTrade
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetTradeReply(): GetTradeReply

- #### Returns GetTradeReply

  Inherited from jspb.Message.constructor

## Methods

### clearTrade

- clearTrade(): GetTradeReply

- #### Returns GetTradeReply

  - Defined in src/protobuf/grpc_pb.d.ts:2518

### getTrade

- getTrade(): undefined | TradeInfo

- #### Returns undefined | TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2515

### hasTrade

- hasTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2517

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2520

### setTrade

- setTrade(value?: TradeInfo): GetTradeReply

- #### Parameters

  - ##### `Optional` value: TradeInfo

  #### Returns GetTradeReply

  - Defined in src/protobuf/grpc_pb.d.ts:2516

### toObject

- toObject(includeInstance?: boolean): GetTradeReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetTradeReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2521

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradeReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradeReply

  - Defined in src/protobuf/grpc_pb.d.ts:2524

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradeReply, reader: BinaryReader): GetTradeReply

- #### Parameters

  - ##### message: GetTradeReply

  - ##### reader: BinaryReader

  #### Returns GetTradeReply

  - Defined in src/protobuf/grpc_pb.d.ts:2525

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradeReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetTradeReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2523

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetTradeReply): GetTradeReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradeReply

  #### Returns GetTradeReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2522

Generated using TypeDoc